View Issue Details

IDProjectCategoryView StatusLast Update
0000155Lazarus-public2006-12-06 23:18
ReporterBug ImportAssigned ToMarc Weustink 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000155: No support to latin1 keyboard layouts in editor
DescriptionIn linux, Lazarus doesn´t support rightly iso8859_1 charset with latin1 keyboard layout.
Single and double quotes don't appear when typed.
Additional InformationImported information
--------------------
Name: Alexandre de Aguiar
Mail: alexdeveloper (at) brturbo.com
TagsNo tags attached.
Fixed in Revision
LazTargetpost 1.0
WidgetsetGTK
Attached Files

Activities

Felipe Monteiro de Carvalho

2006-10-09 14:39

developer   ~0009274

The original problem, lack of support for ' and " characters is no longer present on Lazarus 0.9.18, so it was probably fixed on the mean time.

There are however, other internationalization problems, but this particular one was solved.

Issue History

Date Modified Username Field Change
2003-11-28 00:00 Bug Import New Issue
2003-11-28 22:46 Bug Import Widgetset => GTK, Win32
2005-04-09 13:32 Micha Nelissen Status new => assigned
2005-04-09 13:32 Micha Nelissen Assigned To => AndrewH
2005-04-09 16:07 AndrewH Assigned To AndrewH => Micha Nelissen
2005-04-10 11:27 Micha Nelissen Assigned To Micha Nelissen =>
2005-04-10 13:38 Marc Weustink Status assigned => new
2005-05-07 08:18 Vincent Snijders Status new => assigned
2005-05-07 08:18 Vincent Snijders Assigned To => Marc Weustink
2005-05-07 08:19 Vincent Snijders Widgetset GTK, Win32 => GTK
2005-05-07 08:19 Vincent Snijders Category => -
2005-05-07 08:19 Vincent Snijders Additional Information Updated
2005-08-01 10:28 Vincent Snijders Target => post 1.0
2006-10-09 14:38 Felipe Monteiro de Carvalho Relationship added related to 0000834
2006-10-09 14:39 Felipe Monteiro de Carvalho Status assigned => resolved
2006-10-09 14:39 Felipe Monteiro de Carvalho Resolution open => fixed
2006-10-09 14:39 Felipe Monteiro de Carvalho Note Added: 0009274
2006-10-09 14:41 Felipe Monteiro de Carvalho Relationship deleted related to 0000834
2006-12-06 23:18 Marc Weustink Status resolved => closed